March 17, 2018, 08:03:35 PM

* Site Menu

Upgrading to or already upgraded from SMF 1.1.x to 2.0.x

There are 2 things you must do before you do anything else:
  1. Check to see if the themes you use for SMF 1.1.x can be upgraded to SMF 2.x. If not, then you must choose new themes that are specifically designed for SMF 2.x. SMF 1.1.x themes WILL NOT work with SMF 2.x!!!
  2. Check to see if your current mods for SMF 1.1.x have been upgraded for use with SMF 2.x. Mods created specifically for SMF 1.1.x WILL NOT work with SMF 2.x!!!

If you have themes or mods that have not been updated for SMF 2.x that you cannot live without and wish to stay with SMF 1.1.x then consider this:

  1. Eventually, support for SMF 1.1.x will stop, sooner or later. Also, the upgrades for your themes and mods have already stopped.
  2. Once support stops for SMF 1.1.x, so will the security updates and your forum will be at risk for spamming and hacking.
  3. Security is much better with SMF 2.x. There are more features in the admin to help with hackers, spammers, and just troublesome users.
  4. SMF 2.x works much better with themes and mods and adding buttons on the main menu.

Now onto the good stuff. Things you must do before upgrading:

  1. You MUST switch to the default SMF theme first! If you have themes that will not work with SMF 2.x then uninstall them via Admin -> Configuration -> Themes and Layout -> Theme Settings. Click the little X on the title bar of the name of the theme you want to delete. You must also delete the directory that the theme was in. You can do this via FTP or probably your Server Control Panel. Deleting a theme in the SMF admin will NOT delete a theme's directory on the server.
  2. You MUST uninstall your mods while in the default SMF theme! Most mods will not work properly or at all AFTER you upgrade SMF to 2.x. This is because they are not coded to work with SMF 2.x. There are new files, many code changes between files, and also database changes. If you have costom coding or hacks for your mods then please uninstall/remove them first BEFORE removing the mods.

Your user and mod info should be safe as long as you do not mess with the database. Most mods install their data there. It is safe to delete any tables from mods that you will no longer be using after the upgrade.

Things you must do after upgrading:
  1. Check to make sure things are working properly without any mods or themes installed and there are no errors onscreen or in the Forum Error Logs. If you find something wrong try to fix it.
  2. Install your themes before you install the mods. Mods will look for all themes installed and will try to attach their code to them. If you install the mods first you will have to manually edit each theme to make sure it works with your mods.
  3. Test each theme after installation to make sure it works before installing the next one.
  4. Install your mods one at a time. After you install a mod play with it to make sure it works properly and there are no errors onscreen or in your Forum Error Logs. If you find any errors jot them down and try to fix them before moving onto the next mod installation.


If you have not uninstalled your mods before upgrading then you will probably have to manually remove them. You can do this by deleting all of the mod files and uploading new copies of the files that have been modified by the mods for SMF 1.1.x. This is the easier way but will kill all of your mods and you will have to reinstall or re-edit them to make them work. Their data should be safe as long as you do not change their database tables.


Courtesy of:
Doc Skillz